#pragma once

#include <SDL2/SDL.h>

#include "board.hpp"

class Game
{
public:
    Game(SDL_Window* window, SDL_Surface* surface);
    Game(SDL_Window* window, SDL_Surface* surface, std::string board_fen);

    void run();
private:
    void tick();
    void draw();

    SDL_Window* window;
    SDL_Surface* surface;

    Board board;

    bool running;
};